using PARR.DAL.Context;
using PARR.DAL.Models;
using PARR.DAL.Services.Interfaces;

namespace PARR.DAL.Services.Implementations
{
    internal class StatusTemplateService : IStatusTemplateService
    {
        private readonly DataContext dataContext;

        public StatusTemplateService(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<Models.TaskStatus> Get()
        {
            return dataContext.TaskStatuses;
        }
    }
}
